<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Desired Form</title>
    <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"> -->
    <link rel="stylesheet" href="style.css">
    
</head>
<body>

    <div class="container-wrapper">
        <div id="appointment_section">

        </div> 

        <!-- <div id="response">
            <p id="data-1"></p>
            <p id="data-2"></p>   
        </div> -->
    </div> 

    <script src="https://integrations.nestio.com/contact-widget/v1/integration.js" id="nestio-lead-capture-frame"></script> <script type="text/javascript"> NestioLeadCapture({"color": "", "type": "lead_capture_appointment", "group": 753, "location": "", "key": "c57ed06d116b46a7a15eac2a4b2d00d5"})</script>

<!-- <script type="text/javascript">    

        document.body.onload = function addElement () { 

            var fname               = "";
            var lname               = "";
            var email               = "";
            var phone               = "";
            var move_in_date        = "";
            var move_in_time        = "";
            var app_Date            = "";
            var app_Time            = "";
            var min_price           = "";
            var max_price           = "";
            var notes               = "";

            // var Main_Section = document.getElementById('appointment_section');
            var Main_Section = document.createElement('appointment_section');       

            var html_form = '<div class="custom-container custom-container-bg p-b-30">'+
                            '<form action="" name="widget-Form">'+
                                '<div class="custom-form-row">'+
                                   '<div class="col-12">'+
                                        '<h2 class="custom-font-color">Contact Information</h2>'+
                                    '</div>'+
                                '</div>'+
                                '<div class="custom-form-row">'+
                                    '<div class="custom-form-group col-6">'+
                                        '<label for="" class="custom-font-label">Appointment Date & Time:</label>'+
                                        '<div class="col-6 p-l-0">'+
                                            '<input type="date" name="app_Date" id="app_Date" class="custom-form-control" required>'+
                                        '</div>'+
                                        '<div class="col-6 p-l-0">'+
                                            '<input type="time" name="app_Time" id="app_Time" class="custom-form-control" >'+
                                        '</div>'+
                                    '</div>'+
                                '</div>'+
                                '<div class="custom-form-row">'+
                                    '<div class="custom-form-group col-6">'+
                                            '<label for="" class="custom-font-label">First Name:</label>'+
                                            '<input type="text" name="first_name" id="first_name" class="custom-form-control">'+
                                    '</div>'+
                                    '<div class="custom-form-group col-6">'+
                                            '<label for="" class="custom-font-label">Last Name:</label>'+
                                            '<input type="text" name="last_name" id="last_name" class="custom-form-control">'+
                                    '</div>'+
                                '</div>'+
                                '<div class="custom-form-row">'+
                                    '<div class="custom-form-group col-12">'+
                                            '<label for="" class="custom-font-label">Email:</label>'+
                                            '<input type="text" name="email" id="email" class="custom-form-control" >'+
                                    '</div>'+
                                '</div>'+
                                '<div class="custom-form-row">'+
                                    '<div class="custom-form-group col-12">'+
                                            '<label for="" class="custom-font-label">Phone Number:</label>'+
                                            '<input type="text" name="phone_number" id="phone_number" class="custom-form-control" >'+
                                    '</div>'+
                                '</div>'+
                                '<div class="custom-form-row">'+
                                    '<div class="custom-form-group col-6">'+
                                        '<label for="" class="custom-font-label">Move in Date & Time:</label>'+
                                        '<div class="col-6 p-l-0">'+
                                            '<input type="date" name="move_Date" id="move_Date" class="custom-form-control" >'+
                                        '</div>'+
                                        '<div class="col-6 p-l-0">'+
                                            '<input type="time" name="move_Time" id="move_Time" class="custom-form-control" >'+
                                        '</div>'+
                                    '</div>'+
                                    '<div class="custom-form-row">'+
                                    '</div>'+
                                '</div>'+
                                '<div class="custom-form-row">'+
                                    '<div class="custom-form-group col-6">'+
                                            '<label for="" class="custom-font-label">Min Price:</label>'+
                                            '<input type="text" name="min_price" id="min_price" class="custom-form-control" >'+
                                    '</div>'+
                                    '<div class="custom-form-group col-6">'+
                                            '<label for="" class="custom-font-label">Max Price:</label>'+
                                            '<input type="text" name="max_price" id="max_price" class="custom-form-control" >'+
                                    '</div>'+
                                '</div>'+
                                '<div class="custom-form-row">'+
                                    '<div class="custom-form-group col-12">'+
                                            '<label for="" class="custom-font-label">Notes:</label>'+
                                            '<textarea type="text" name="notes" id="notes" class="custom-form-control"></textarea>'+
                                    '</div>'+
                                '</div>'+
                                '<div class="custom-form-row">'+
                                    '<div class="custom-form-group col-12">'+
                                            '<input type="submit" value="Submit" id="submit_btn" class="custom-btn custom-btn-primary">'+
                                    '</div>'+
                                '</div>'+
                            '</form>'+
                            '<div id="response">'+
                                 '<p id="data-1"></p>'+
                                 '<p id="data-2"></p>'+
                            '</div>'+
                            '</div>';    

            Main_Section.innerHTML = html_form;      
            var currentDiv = document.getElementsByClassName("container-wrapper")[0]; 
            document.body.insertBefore(Main_Section, currentDiv);
           
            document.getElementById("submit_btn").addEventListener("click", function(event){
                event.preventDefault();

                // var x = document.forms["widget-Form"]["first_name"].value;
                // if (x == "") {
                //     alert("Name must be filled out");
                //     return false;
                // }

                fname        = document.getElementById("first_name").value;
                lname        = document.getElementById("last_name").value;
                email        = document.getElementById("email").value;
                phone        = document.getElementById("phone_number").value;

                app_Date = document.getElementById("app_Date").value;
                app_Time = document.getElementById("app_Time").value;
                var appDatetime = app_Date+" "+app_Time;    

                move_in_date = document.getElementById("move_Date").value;
                move_in_time = document.getElementById("move_Time").value;
                var moveInDatetime = move_in_date+" "+move_in_time;    

                min_price    = document.getElementById("min_price").value;
                max_price    = document.getElementById("max_price").value;
                notes        = document.getElementById("notes").value;

                //alert(appDatetime+"-"+fname+"-"+lname+"-"+email+"-"+phone+"-"+moveInDatetime+"-"+min_price+"-"+max_price+"-"+notes);
                
                
                var toSend = {
                        "appointment":{
                            // "start":"2020-01-29T11:15:00",
                            "start" :appDatetime,
                            "location":"",
                            "broker_booked":false
                        },
                        "client":{
                            "broker_first_name":"tester",
                            "broker_last_name":"testing",
                            "broker_company":"Testing Company",
                            "broker_phone":"0987654321",
                            "broker_email":"testing@getonlineimpact.com",
                            "people":[
                                {
                                    "first_name":fname,
                                    "last_name":lname,
                                    "email":"test1@test.com",
                                    "phone_1":"12345678909"
                                }
                            ],
                            "community": 105,
                            "sms_opted_in":10,
                            // "move_in_date":"2019-07-01T00:00:00",
                            "move_in_date":moveInDatetime,
                            "layout":null,
                            "price_floor":min_price,
                            "price_ceiling":max_price,
                            "pets":[
                                "20",
                                "10"
                            ],
                            "discovery_source":270,
                            "notes":notes ,
                            "neighborhoods":[
                                133,
                                116,
                                1732,
                                108,
                                375,
                                126
                            ],
                            "elevator":true,
                            "laundry":[
                                20,
                                10
                            ],
                            "outdoor_space":[
                                10
                            ]
                        }
                };

                var body = JSON.stringify(toSend); 
                var xhttp = new XMLHttpRequest();
                xhttp.onreadystatechange = function() {

                    if (this.readyState == 4 && this.status == 200) {
                        var obj = JSON.parse(this.responseText);

                        document.getElementById("data-1").style.color = "Green";
                        document.getElementById("data-2").style.color = "Green";

                        // document.getElementById("data-1").innerHTML =
                        //         obj.data.appointment.confirmation_enabled;
        
                        document.getElementById("data-2").innerHTML = "Scheduled Confirmed - "+obj.data.appointment.start;
                        
                        // Success State
                        console.log(obj.data.appointment.confirmation_enabled);
                        console.log(obj.data.appointment.start);
                    }

                    if (this.readyState == 4 && this.status == 400) {
                        var obj1 = JSON.parse(this.responseText);
                      
                        document.getElementById("data-1").style.color = "red";
                        document.getElementById("data-1").innerHTML =
                                obj1.errors.appointment.start
                        //Error
                        console.log(obj1.errors.appointment.start);     
                    }
                };
              
                xhttp.open("POST", "https://nestiolistings.com/api/v2/appointments/group/753/book/?key=96bf9b4e0e7b49ae96ac3f4920632747", true);
                xhttp.setRequestHeader("Content-type", "application/json"); 
                xhttp.send(body);
               
            });        

        }
          

</script> -->


</body>
</html>